#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Net
%define		pnam	Interface
Summary:	Net::Interface - Perl extension to access network interfaces
Summary(pl.UTF-8):	Net::Interface - moduł umożliwiający dostęp do interfejsów sieciowych
Name:		perl-Net-Interface
Version:	1.016
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	339079deafeb8720c569bae51dac4a0d
Patch0:		no-dot-in-inc.patch
Patch1:		%{name}-iface.patch
URL:		http://search.cpan.org/dist/Net-Interface/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl. It provides methods to get and set all
the attributes of an interface, and even create new logical or
physical interfaces (if your O/S supports it).

%description -l pl.UTF-8
Net::Interface został zaprojektowany, aby uczynić używanie ifconfig(1)
i spółki z poziomu Perla niepotrzebnym. Dostarcza metody do
odczytywania i ustawiania wszystkich atrybutów interfejsu, a nawet
tworzenia nowych logicznych i fizycznych interfejsów (o ile system
operacyjny na to pozwala).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README*
%{perl_vendorarch}/Net/Interface.pm
%dir %{perl_vendorarch}/auto/Net/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Interface/Interface.so
%dir %{perl_vendorarch}/Net/Interface
%{perl_vendorarch}/Net/Interface/Developer.pm
%{perl_vendorarch}/Net/Interface/NetSymbols.pm
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Interface.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 252f861
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d40139e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> c5a2d3a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 870e2c3
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1852dc4
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sun Oct 07 2018 Adam Osuchowski <adwol@pld-linux.org> dbb484e
- fix interface name handling

* Sun Oct 07 2018 Adam Osuchowski <adwol@pld-linux.org> eba6671
- up to 1.016

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> c69ace4
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> 2b6a65c
- fix building with perl 5.26
- rel 9

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4a5b11f
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0dc6070
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 21eca07
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a78bdc7
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 727518b
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4d7d594
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cf61332
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 8dbb7a6
- up to 1.012

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 378d924
- release 2

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> e74395f
- updated to 1.011

* Sun Nov 02 2008 radek <radek@pld-linux.org> 02747bd
- fix md5

